using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PRobot : MonoBehaviour
{    
    public float Tiempo,Vel;
    Osito Velocidad;
    // Start is called before the first frame update
    void Start()
    {
        Vel = -1;
        Velocidad = GameObject.Find("Osito").GetComponent<Osito>();
    }

    // Update is called once per frame
    void Update()
    {
        transform.Translate(Vel * Time.deltaTime, 0, 0);
        Tiempo = Tiempo + 1 * Time.deltaTime;

        if (Tiempo > 10)
        {
            Destroy(this.gameObject);
        }
        if (Velocidad.TiempoGeneral > 10)
        {
            Vel = -2;
        }
        if (Velocidad.Puntuacion >= 2)
        {
            Vel = -3;
        }
        if (Velocidad.Puntuacion >= 5)
        {
            Vel = -4;
        }
        if (Velocidad.Puntuacion >= 8)
        {
            Vel = -5;
        }
        if (Velocidad.Puntuacion >= 10)
        {
            Vel = -7;
        }
    }
    void OnCollisionEnter2D(Collision2D collision)
    {
        if (collision.gameObject.tag == "Osito")
        {            
            Destroy(this.gameObject);
        }        
    }
}
